- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#body.aspect_1)
- [LegacyAdvancedReportCategory](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#LegacyAdvancedReportCategory)

**Full name**: projects.locations.instances.legacyAdvancedReports.legacyReportImport

Imports a report definition into the advanced reporting system.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyAdvancedReports:legacyReportImport`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to import the report to. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "category": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#LegacyAdvancedReportCategory`), "environments": [ string ], "lookML": string, "id": string, "creationTimeUnixTimeInMs": string, "modificationTimeUnixTimeInMs": string } ``` |

| Fields ||
|---|---|
| `category` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyAdvancedReports/legacyReportImport#LegacyAdvancedReportCategory`)`` Optional. The target category for the advanced report import. |
| `environments[]` | `string` Optional. List of environments associated with the advanced report import. |
| `lookML` | `string` Optional. The LookML content of the advanced report import. LINT: LEGACY_NAMES |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The ID of the advanced report. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The creation time of the advanced report in Unix time in milliseconds. |
| `modificationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The modification time of the advanced report in Unix time in milliseconds. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyLookerReportResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarAdvancedReports.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LegacyAdvancedReportCategory

| Enums ||
|---|---|
| `DEFAULT` | Default. |
| `PERSONAL` | Personal. |
| `SHARED` | Shared. |
| `OTHER` | Other. |